Get OpenID Connect configuration
GET /api
Response
200 — OpenID Configuration response
claims_supportedarray of stringid_token_signing_alg_values_supportedarray of stringissuerstring
Minimum length 1.jwks_uristring
Minimum length 1.response_types_supportedarray of stringscopes_supportedarray of stringsubject_types_supportedarray of stringtoken_endpointstring
Minimum length 1.
Example Response
{
"claims_supported": [
"string"
],
"id_token_signing_alg_values_supported": [
"string"
],
"issuer": "string",
"jwks_uri": "string",
"response_types_supported": [
"string"
],
"scopes_supported": [
"string"
],
"subject_types_supported": [
"string"
],
"token_endpoint": "string"
}POST /api/users/authenticate/AzureAD
POST /api
Response
200 — OK
POST /api/users/authenticate/GenericOidc
POST /api
Response
200 — OK
POST /api/users/authenticate/GoogleApps
POST /api
Response
200 — OK
POST /api/users/authenticate/OctopusID
POST /api
Response
200 — OK
POST /api/users/authenticate/Okta
POST /api
Response
200 — OK
GET /api/users/authenticatedToken/AzureAD
GET /api
Response
200 — OK
POST /api/users/authenticatedToken/AzureAD
POST /api
Response
200 — OK
GET /api/users/authenticatedToken/GenericOidc
GET /api
Response
200 — OK
POST /api/users/authenticatedToken/GenericOidc
POST /api
Response
200 — OK
GET /api/users/authenticatedToken/GoogleApps
GET /api
Response
200 — OK
POST /api/users/authenticatedToken/GoogleApps
POST /api
Response
200 — OK
GET /api/users/authenticatedToken/OctopusID
GET /api
Response
200 — OK
POST /api/users/authenticatedToken/OctopusID
POST /api
Response
200 — OK
GET /api/users/authenticatedToken/Okta
GET /api
Response
200 — OK
POST /api/users/authenticatedToken/Okta
POST /api
Response
200 — OK